# 忽略项目及所有子模块的 target 文件夹
**/target/

# 忽略编译输出
*.class

# Maven / Gradle
*.jar
*.war
*.ear
dependency-reduced-pom.xml
build/
bin/

# IDE 文件
/.idea/
/*.iml
/out/

# Eclipse
/.metadata/
/*.tmp
/.settings/

# VS Code
/.vscode/

# 系统文件
.DS_Store
Thumbs.db

# 日志
logs/
/log/
*.log

# 临时文件
*.tmp
*.swp
*.swo
*~
*.bak
*.orig

# Spring Boot DevTools 文件
spring-boot-devtools.properties
spring-boot-*.properties

# 项目上传目录或临时文件
/upload/
